/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem A. Addictive Bubbles                                   */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Georgiy Korneev                          */
/* Test set              Georgiy Korneev                          */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/

import java.io.*;

/**
 * Solution for NEERC'2012 Problem A: Addictive Bubbles
 * This solution checks correctness of the input.
 *
 * @author Roman Elizarov
 */
public class addictive_re {

    public static void main(String[] args) throws Exception {
        new addictive_re().go();
    }

    void go() throws Exception {
        read();
        solve();
        write();
    }

    int h;
    int w;
    int cc;
    int[] nc;

    void read() throws Exception {
        Scanner in = new Scanner(new File("addictive.in"));
        h = in.nextInt();
        w = in.nextInt();
        cc = in.nextInt();
        assert h >= 1 && h <= 10;
        assert w >= 1 && w <= 10;
        assert cc >= 1 && cc <= 9;
        in.nextLine();
        nc = new int[cc];
        int snc = 0;
        for (int i = 0; i < cc; i++) {
            nc[i] = in.nextInt();
            assert nc[i] >= 0 && nc[i] <= h * w;
            snc += nc[i];
        }
        assert snc == h * w;
        in.nextLine();
        in.close();
    }

    char[][] a;
    int r = -1;
    int c = 0;
    int d = -1;

    void next() {
        if (c + d < 0 || c + d >= w) {
            r++;
            d = -d;
        } else
            c += d;
    }

    void solve() {
        a = new char[h][w];
        for (int i = 0; i < cc; i++) {
            for (int j = 0; j < nc[i]; j++) {
                next();
                a[r][c] = (char) ('1' + i);
            }
        }
    }

    void write() throws Exception {
        PrintWriter out = new PrintWriter("addictive.out");
        for (int r = 0; r < h; r++) {
            for (int c = 0; c < w; c++)
                out.print(a[r][c]);
            out.println();
        }
        out.close();
    }

//----------------- just for validation ------------------

    /**
     * Strict scanner to verify 100% correspondence between input files and input file format specification.
     * It is a drop-in replacement for {@link java.util.Scanner} that could be added to a solution source
     * (cut-and-paste) without breaking its ability to work with {@link java.util.Scanner}.
     */
    public class Scanner {
        private final BufferedReader in;
        private String line = "";
        private int pos;
        private int lineNo;

        public Scanner(File source) throws FileNotFoundException {
            in = new BufferedReader(new FileReader(source));
            nextLine();
        }

        public void close() {
            assert line == null : "Extra data at the end of file";
            try {
                in.close();
            } catch (IOException e) {
                throw new AssertionError("Failed to close with " + e);
            }
        }

        public void nextLine() {
            assert line != null : "EOF";
            assert pos == line.length() : "Extra characters on line " + lineNo;
            try {
                line = in.readLine();
            } catch (IOException e) {
                throw new AssertionError("Failed to read line with " + e);
            }
            pos = 0;
            lineNo++;
        }

        public String next() {
            assert line != null : "EOF";
            assert line.length() > 0 : "Empty line " + lineNo;
            if (pos == 0)
                assert line.charAt(0) > ' ' : "Line " + lineNo + " starts with whitespace";
            else {
                assert pos < line.length() : "Line " + lineNo + " is over";
                assert line.charAt(pos) == ' ' : "Wrong whitespace on line " + lineNo;
                pos++;
                assert pos < line.length() : "Line " + lineNo + " is over";
                assert line.charAt(pos) > ' ' : "Line " + lineNo + " has double whitespace";
            }
            StringBuilder sb = new StringBuilder();
            while (pos < line.length() && line.charAt(pos) > ' ')
                sb.append(line.charAt(pos++));
            return sb.toString();
        }

        public int nextInt() {
            String s = next();
            assert s.length() == 1 || s.charAt(0) != '0' : "Extra leading zero in number " + s + " on line " + lineNo;
            assert s.charAt(0) != '+' : "Extra leading '+' in number " + s + " on line " + lineNo;
            try {
                return Integer.parseInt(s);
            } catch (NumberFormatException e) {
                throw new AssertionError("Malformed number " + s + " on line " + lineNo);
            }
        }
    }
}

