/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem B. Blind Problem Solving                               */
/*                                                                */
/* Original idea         Maxim Buzdalov                           */
/* Problem statement     Maxim Buzdalov                           */
/* Test set              Maxim Buzdalov                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.util.*;
import java.io.*;

public class blind_gk {
    static Scanner in;
    static PrintStream out;

    void run() {
        int n = in.nextInt();
        int c = in.nextInt();

        int current = in.nextInt();
        out.println("accept");
        while (current != 0) {
            int m = in.nextInt();
            out.println(current > m ? "accept" : "decline");
            current = Math.min(current, m);
        }

        Integer[] w = new Integer[n];
        for (int i = 0; i < n; i++) {
            int m = in.nextInt();
            while (m < current) {
                out.println("decline");
                m = in.nextInt();
            }
            w[i] = m - current;
            current = m;
            out.println("accept");
        }

        int bestMax = 0;
        int bestQ = 0;
        for (int q = 0; q < 1 << n; q++) {
            int total = 0;
            for (int i = 0; i < n; i++) {
                if (((q >> i) & 1) == 1) {
                    total += w[i];
                }
            }
            if (total <= c && bestMax < total) {
                bestMax = total;
                bestQ = q;
            }
        }

        List<Integer> best = new ArrayList<Integer>();
        for (int i = 0; i < n; i++) {
            if (((bestQ >> i) & 1) == 0) {
                best.add(w[i]);
            }
        }

        int q = in.nextInt();
        best.add(q - current);
        current = q;
        out.println("accept");

        while (true) {
            int m = in.nextInt();
            if (best.remove((Object) (current - m))) {
                if (best.isEmpty()) {
                    break;
                }
                current = m;
                out.println("accept");
            } else {
                out.println("decline");
            }
        }

        out.println("stop");
    }


    public static void main(String[] args) throws Exception {
        in = new Scanner(System.in);
        out = System.out;

        new blind_gk().run();

        in.close();
        out.close();
    }
}

