/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem B. Blind Problem Solving                               */
/*                                                                */
/* Original idea         Maxim Buzdalov                           */
/* Problem statement     Maxim Buzdalov                           */
/* Test set              Maxim Buzdalov                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Vitaliy Aksenov                          */
/******************************************************************/

import java.io.*;
import java.util.*;

public class blind_va implements Runnable {
	public static void main(String[] args) {
		new Thread(new blind_va()).run();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintStream out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}

		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		int c = nextInt();
		int B = nextInt();

		out.println("accept");
		int now = B;
		while (now > 0) {
			B = nextInt();
			if (B < now) {
				out.println("accept");
				now = B;
			} else {
				out.println("decline");
			}
		}

		int[] w = new int[n];
		for (int i = 0; i < n; i++) {
			int next = nextInt();
			while (next < now) {
				if (next < now) {
					out.println("decline");
				} else {
					break;
				}
				next = nextInt();
			}

			if (next == c) {
				out.println("stop");
				return;
			}

			out.println("accept");

			w[i] = next - now;
			now = next;
		}

		ArrayList<Integer> toDel = new ArrayList<Integer>();
		int max = 0;
		int maxMask = 0;
		for (int mask = 0; mask < 1 << n; mask++) {
			int have = 0;
			for (int i = 0; i < n; i++) {
				if ((mask & (1 << i)) > 0) {
					have += w[i];
				}
			}
			if (have <= c && max < have) {
				max = have;
				maxMask = mask;
			}
		}

		for (int i = 0; i < n; i++) {
			if ((maxMask & (1 << i)) == 0) {
				toDel.add(w[i]);
			}
		}

		int next = 0;
		while (toDel.size() != 0) {
			next = nextInt();
			if (!toDel.contains(now - next)) {
				out.println("decline");
			} else {
				toDel.remove((Integer) (now - next));
				now = next;
				if (toDel.size() != 0) {
					out.println("accept");
				}
			}
		}
		out.println("stop");
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = System.out;

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}

