/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem J. Jumping Around                                      */
/*                                                                */
/* Original idea         Andrey Stankevich                        */
/* Problem statement     Andrey Stankevich                        */
/* Test set              Andrey Stankevich                        */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.io.*;
import java.util.*;

public class jumping_gk {
    static Scanner in;
    static PrintWriter out;

    int[] answer;
    int[] c;

    int p = 0;
    int z = 1;

    void run() {
        c = new int[]{in.nextInt(), in.nextInt(), in.nextInt()};
        int n = c[0] + c[1] + c[2] + 1;

        answer = new int[n];
        move(1, c[0] - 3);
        int t = c[2] / 3;
        int q = c[2] % 3;
        switch (q) {
            case 0:
                move(3, t);
                move(1, 1);
                move(-3, t);
                move(1, 1);
                move(3, t);
                move(-1, 0);
                break;
            case 1:
                move(3, t);
                move(2, 1);
                move(-3, t);
                move(-1, 1);
                move(3, t + 1);
                move(-1, 1);
                break;
            case 2:
                move(3, t + 1);
                move(-1, 1);
                move(-3, t);
                move(-1, 1);
                move(3, t + 1);
                move(-1, 0);
                break;
        }

        move(2, (n - p - 1) / 2);
        move(p == n - 1 ? -1 : 1, 1);
        move(-2, c[1]);

        for (int i : answer) {
            out.print(i + " ");
        }
        out.println();
    }

    private void move(int d, int n) {
        for (int i = 0; i < n; i++) {
            p += d;
            c[Math.abs(d) - 1]--;
            answer[z++] = p;
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("jumping.in"));
        out = new PrintWriter("jumping.out");

        int t = in.nextInt();
        for (int i = 0; i < t; i++) {
            new jumping_gk().run();
        }

        in.close();
        out.close();
    }
}

